using System;
using System.Threading.Tasks;
using System.Threading;
using Grpc.Core;
using Aurora.Proto.Events;
using Aurora.Proto.Party;
using Aurora.Proto.Playback;
using Aurora.Proto.Sync;
using Aurora.Services.ClientService.Events;
using System.Collections.Generic;

namespace Aurora.Services.ClientService
{
    public class EventInfo
    {
        public EventInfo(Delegate handler, Type argsType)
        {
            this.Handler = handler;
            ArgsType = argsType;
        }

        public Delegate Handler { get; private set; }
        public Type ArgsType { get; private set; }
    }
}